Yu-Gi-Oh! TRADING CARD GAME - CARD DATABASE

Flame Swordsman

Flame Swordsman Flame Swordsman
1 2
Attribute FIRE
Level 5
Monster Type Warrior
Card Type Fusion
ATK 1800
DEF 1600
Card Text
"Flame Manipulator" + "Masaki the Legendary Swordsman"
Sets
2019-01-25 SS02-ENB20 SPEED DUEL STARTER DECK: DUELISTS OF TOMORROW  
2016-04-15 MIL1-EN038 MILLENNIUM PACK Rare
2013-10-11 LCJW-EN053 LEGENDARY COLLECTION 4 JOEY'S WORLD MEGA PACK  
2008-11-21 DLG1-EN003 DARK LEGENDS  
2008-07-08 RP01-EN002 RETRO PACK  
2004-10-12 DB1-EN100 DARK BEGINNING 1 Rare
2003-03-30 SDJ-024 STARTER DECK JOEY  
2002-03-08 LOB-003 LEGEND OF BLUE EYES WHITE DRAGON Super Rare
Related Cards
Search Results: 1 - 3 of 3

  • Dark Flare Knight
    DARK DARK Level Level 6 [ Warrior / Fusion / Effect ] ATK 2200 DEF 800  
    "Dark Magician" + "Flame Swordsman"
    You take no Battle Damage from battles involving this card. When this card is destroyed by battle and sent to the Graveyard: Special Summon 1 "Mirage Knight" from your hand or Deck.
    Dark Flare Knight
  • Flame Manipulator
    FIRE FIRE Level Level 3 [ Spellcaster / Normal ] ATK 900 DEF 1000  
    This Spellcaster attacks enemies with fire-related spells such as "Sea of Flames" and "Wall of Fire".
    Flame Manipulator
  • Masaki the Legendary Swordsman
    EARTH EARTH Level Level 4 [ Warrior / Normal ] ATK 1100 DEF 1100  
    Legendary swordmaster Masaki is a veteran of over 100 battles.
    Masaki the Legendary Swordsman
1

Important Notice

Starting from 04/01/2018: If you are using certain environments, such as "Windows Vista or older," "Android 4.4 or older," or "IE9 or older," you may be unable to view the Card Database.

Starting from 04/01/2018: In order to provide a more enhanced security system, the Yu-Gi-Oh! TCG Card Database will no longer support Internet Communication Encryption Scheme "TLS 1.0" and "TLS 1.1." If you are using an environment which is not compatible with TLS 1.2 or later, you may be unable to view the Card Database.

(Partially) Affected EnvironmentsWindows XPInternet Explorer 9 or older
Windows VistaInternet Explorer 9 or older
Android 4.4 or olderAndroid Browser
*Please note that if the Security Setting on your browser does not have TLS 1.2 enabled, you may be unable to view the Card Database.